##############################################################################
#
# Copyright (c) 2003 Epoz Contributors. See CREDITS.txt
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""HTMLBody field

$Id: field.py 2939 2004-02-10 08:03:21Z philikon $
"""

from zope.interface import implements
from zope.schema import Bytes
from zope.schema.fieldproperty import FieldProperty

from interfaces import IHTMLBody

class HTMLBody(Bytes):
    implements(IHTMLBody)

    html2xhtml1 = FieldProperty(IHTMLBody['html2xhtml1'])
